Bug 636116 - MADV_HUGEPAGE undeclared [rhel-6.0.z]
Summary: MADV_HUGEPAGE undeclared [rhel-6.0.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.0
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Frantisek Hrbata
QA Contact: Chao Ye
URL:
Whiteboard:
Depends On: 634500
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-21 14:29 UTC by RHEL Program Management
Modified: 2013-01-09 23:10 UTC (History)
11 users (show)

Fixed In Version: kernel-2.6.32-71.3.1.el6
Doc Type: Bug Fix
Doc Text:
Previously, MADV_HUGEPAGE was missing in the include/asm-generic/mman-common.h file which caused madvise to fail to utilize TPH. With this update, the madvise option was removed from /sys/kernel/mm/redhat_transparent_hugepage/enabled since MADV_HUGEPAGE was removed from the madvise system call.
Clone Of:
Environment:
Last Closed: 2010-11-10 19:10:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0842 0 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-11-22 19:34:20 UTC

Description RHEL Program Management 2010-09-21 14:29:35 UTC
This bug has been copied from bug #634500 and has been proposed
to be backported to 6.0 z-stream (EUS).

Comment 2 Frantisek Hrbata 2010-10-04 07:14:32 UTC
in 2.6.32-71.3.1.el6

Comment 3 Chao Ye 2010-10-11 06:38:39 UTC
Tested with 2.6.32-71.3.1.el6:
===================================================================================
[root@ibm-ls22-01 ~]# uname --all
Linux ibm-ls22-01.rhts.eng.brq.redhat.com 2.6.32-71.3.1.el6_0.x86_64 #1 SMP Sun Oct 3 17:00:03 EDT 2010 x86_64 x86_64 x86_64 GNU/Linux
[root@ibm-ls22-01 ~]# cat /sys/kernel/mm/redhat_transparent_hugepage/enabled [always] never

Comment 5 Chao Ye 2010-10-15 04:57:18 UTC
Reproduced with kernel-2.6.32-71.el6:
===========================================================================
[root@hp-bl260cg5-01 ~]# rpm -q kernel
kernel-2.6.32-71.el6.x86_64
[root@hp-bl260cg5-01 ~]# cat /sys/kernel/mm/redhat_transparent_hugepage/enabled
[always] madvise never


Test "transparent_hugepage=always":
-------------------------------------------------------------
[root@hp-bl260cg5-01 ~]# cat /boot/grub/grub.conf 
...
	kernel /vmlinuz-2.6.32-71.el6.x86_64 ro root=/dev/mapper/vg_hpbl260cg501-lv_root rd_LVM_LV=vg_hpbl260cg501/lv_root rd_LVM_LV=vg_hpbl260cg501/lv_swap rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE=us console=ttyS0,115200 crashkernel=auto transparent_hugepage=always
...
[root@hp-bl260cg5-01 ~]# reboot
......
[root@hp-bl260cg5-01 ~]# cat /sys/kernel/mm/redhat_transparent_hugepage/enabled
[always] madvise never

Test "transparent_hugepage=never":
-------------------------------------------------------------
[root@hp-bl260cg5-01 ~]# cat /boot/grub/grub.conf 
...
	kernel /vmlinuz-2.6.32-71.el6.x86_64 ro root=/dev/mapper/vg_hpbl260cg501-lv_root rd_LVM_LV=vg_hpbl260cg501/lv_root rd_LVM_LV=vg_hpbl260cg501/lv_swap rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE=us console=ttyS0,115200 crashkernel=auto transparent_hugepage=never
...
[root@hp-bl260cg5-01 ~]# reboot
......
[root@hp-bl260cg5-01 ~]# cat /sys/kernel/mm/redhat_transparent_hugepage/enabled
always madvise [never]

Test "transparent_hugepage=madvise":
-------------------------------------------------------------
[root@hp-bl260cg5-01 ~]# cat /boot/grub/grub.conf 
...
	kernel /vmlinuz-2.6.32-71.el6.x86_64 ro root=/dev/mapper/vg_hpbl260cg501-lv_root rd_LVM_LV=vg_hpbl260cg501/lv_root rd_LVM_LV=vg_hpbl260cg501/lv_swap rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE=us console=ttyS0,115200 crashkernel=auto transparent_hugepage=madvise
...
[root@hp-bl260cg5-01 ~]# reboot
......
[root@hp-bl260cg5-01 ~]# cat /sys/kernel/mm/redhat_transparent_hugepage/enabled
always [madvise] never


Verified with kernel-2.6.32-71.4.1.el6:
===========================================================================
[root@hp-bl260cg5-01 ~]# rpm -q kernel
kernel-2.6.32-71.4.1.el6.x86_64
[root@hp-bl260cg5-01 ~]# cat /sys/kernel/mm/redhat_transparent_hugepage/enabled
[always] never

Test "transparent_hugepage=never":
-------------------------------------------------------------
[root@hp-bl260cg5-01 ~]# cat /boot/grub/grub.conf 
...
	kernel /vmlinuz-2.6.32-71.4.1.el6.x86_64 ro root=/dev/mapper/vg_hpbl260cg501-lv_root rd_LVM_LV=vg_hpbl260cg501/lv_root rd_LVM_LV=vg_hpbl260cg501/lv_swap rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE=us console=ttyS0,115200 crashkernel=auto transparent_hugepage=never
...
[root@hp-bl260cg5-01 ~]# reboot 
......
[root@hp-bl260cg5-01 ~]# cat /sys/kernel/mm/redhat_transparent_hugepage/enabled
always [never]


Test "transparent_hugepage=madvise":
-------------------------------------------------------------
[root@hp-bl260cg5-01 ~]# cat /boot/grub/grub.conf 
...
	kernel /vmlinuz-2.6.32-71.4.1.el6.x86_64 ro root=/dev/mapper/vg_hpbl260cg501-lv_root rd_LVM_LV=vg_hpbl260cg501/lv_root rd_LVM_LV=vg_hpbl260cg501/lv_swap rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE=us console=ttyS0,115200 crashkernel=auto transparent_hugepage=madvise
...
[root@hp-bl260cg5-01 ~]# reboot 
......
[root@hp-bl260cg5-01 ~]# cat /sys/kernel/mm/redhat_transparent_hugepage/enabled
[always] never


Test "transparent_hugepage=always":
-------------------------------------------------------------
[root@hp-bl260cg5-01 ~]# cat /boot/grub/grub.conf 
...
	kernel /vmlinuz-2.6.32-71.4.1.el6.x86_64 ro root=/dev/mapper/vg_hpbl260cg501-lv_root rd_LVM_LV=vg_hpbl260cg501/lv_root rd_LVM_LV=vg_hpbl260cg501/lv_swap rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE=us console=ttyS0,115200 crashkernel=auto transparent_hugepage=always
...
[root@hp-bl260cg5-01 ~]# reboot
......
[root@hp-bl260cg5-01 ~]# cat /sys/kernel/mm/redhat_transparent_hugepage/enabled
[always] never



Change status to VERIFIED.

Comment 7 errata-xmlrpc 2010-11-10 19:10:30 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0842.html

Comment 8 Martin Prpič 2010-11-11 11:53:17 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, MADV_HUGEPAGE was missing in the include/asm-generic/mman-common.h file which caused madvise to fail to utilize TPH. With this update, the madvise option was removed from /sys/kernel/mm/redhat_transparent_hugepage/enabled since MADV_HUGEPAGE was removed from the madvise system call.


Note You need to log in before you can comment on or make changes to this bug.